BasicListUI.ListSelectionHandler (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicListUI, class: ListSelectionHandler
Keywords: javax.swing.plaf.basic.BasicListUI.ListSelectionHandler class

# Class BasicListUI.ListSelectionHandler

java.lang.Object
javax.swing.plaf.basic.BasicListUI.ListSelectionHandler

All Implemented Interfaces:
  `EventListener, ListSelectionListener`

Enclosing class:
  `BasicListUI`

public class BasicListUI.ListSelectionHandler extends Object implements ListSelectionListener
The ListSelectionListener that's added to the JLists selection model at installUI time, and whenever the JList.selectionModel property changes. When the selection changes we repaint the affected rows.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  - `BasicListUI.createListSelectionListener()`
  - `BasicListUI.getCellBounds(JList, int, int)`
  - `BasicListUI.installUI(JComponent)`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListSelectionHandler()`
  Constructs a `ListSelectionHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `valueChanged(ListSelectionEvent e)`
  Called whenever the value of the selection changes.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### ListSelectionHandler

    public ListSelectionHandler()
    Constructs a `ListSelectionHandler`.

- ## Method Details

  - ### valueChanged

    public void valueChanged(ListSelectionEvent e)
    Description copied from interface: `ListSelectionListener`
    Called whenever the value of the selection changes.
    Specified by:
      `valueChanged` in interface `ListSelectionListener`
    Parameters:
      `e` - the event that characterizes the change.